<template>
	<view class="container">
		<u-modal title="用户协议与隐私政策" :show="true" width="600rpx" closeOnClickOverlay showCancelButton>
			<text class="content">
				<text>感谢您一直以来对我们的信任!我们依据最新的监管要求更新了我们的</text>
				<text class="link" @click="handleGoToPrivacy">《隐私政策》</text>
				<text class="link" @click="handleGoToService">《用户协议》</text>
				<text class="link" @click="handleGoToStatement">《儿童隐私保护声明》</text>
				<text class="link" @click="handleGoToCommonBill">《第三方共享与SDK清单》</text>
				<text>。为了更好地保护您的隐私和信息安全，请您务必在使用前仔细阅读和理解，若您同意更新后的隐私政策，请点击同意并继续使用我们的产品和服务。</text>
			</text>
			<u-button slot="confirmButton" type="primary" customStyle=" color: #fff; border-radius: 15rpx;" text="同意"
				@click="handleAgree"></u-button>
			<u-button slot="confirmButton" customStyle="margin-top: 10px; border: none; background-color: transparent;"
				text="不同意并退出" @click="handleDisagree"></u-button>
		</u-modal>
	</view>
</template>

<script>
	import projectConfig from '@/env.config.js';

	export default {
		data () {
			return {};
		},
		onLoad () {
			this.loadSelectedLanguage();
		},
		methods: {
			// 隐私政策
			handleGoToPrivacy () {
				let title = this.$tt('login.privacyPolicy');
				let url = projectConfig.officialWebUrl + 'privacy-policy.html';
				uni.navigateTo({
					url: `/pages/common/webview/index?title=${title}&url=${url}`
				});
			},
			// 服务协议
			handleGoToService () {
				let title = this.$tt('login.serviceAgreement');
				let url = projectConfig.officialWebUrl + 'service-agreement.html';
				uni.navigateTo({
					url: `/pages/common/webview/index?title=${title}&url=${url}`
				});
			},
			// 儿童隐私保护声明
			handleGoToStatement () {
				let title = this.$tt('login.childProtectionStatement');
				let url = projectConfig.officialWebUrl + 'child-protection-statement.html';
				uni.navigateTo({
					url: `/pages/common/webview/index?title=${title}&url=${url}`
				});
			},
			// 第三方信息共享清单
			handleGoToCommonBill () {
				let title = this.$tt('login.commonBill');
				let url = projectConfig.officialWebUrl + 'common-bill.html';
				uni.navigateTo({
					url: `/pages/common/webview/index?title=${title}&url=${url}`
				});
			},
			//点击同意
			handleAgree () {
				uni.setStorageSync('isFirstOpen', true);
				uni.switchTab({
					url: '/pages/tabBar/home/index',
				});
			},
			//点击不同意
			handleDisagree () {
				uni.setStorageSync('isFirstOpen', false);
				this.exitApp(); // 调用退出方法  
				// uni.navigateBack({
				// 	delta: 50
				// });
			},
			exitApp () {
				// #ifdef APP
				// App 退出  
				uni.exit();
				// #endif
				// #ifdef MP-WEIXIN
				// 小程序退出
				uni.exitMiniProgram();
				// #endif
				// #ifdef H5
				// H5退出
				window.close(); //关闭窗口 
				// #endif
			},
			//获取语言
			loadSelectedLanguage () {
				// 获取之前保存的语言设置
				const selectedLanguage = wx.getStorageSync('language');
				// 如果获取到了，使用该语言设置
				if (selectedLanguage) {
					this.this.$i18n.locale = this.applicationLocale;
				} else {
					// 如果没有获取到，使用默认设置
					this.$i18n.locale = 'zh-CN';
				}
			},
		}
	}
</script>

<style lang="scss" scoped>
	.container {
		text-align: center;

		.content {
			font-size: 28rpx;

			.link {
				color: #00aaff;
			}
		}
	}
</style>